List Dispute Reasons
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/transactions/dispute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/transactions/dispute \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/transactions/dispute"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/transactions/dispute"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/transactions/dispute")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/transactions/dispute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"result": {
"purchase_cancelled_but_no_refund_received": "Purchase Cancelled But No Refund Received",
"problem_with_the_product_chargeback_": "Problem With The Product (chargeback)",
"problem_with_service_subscription_chargeback": "Problem With Service/Subscription (chargeback)",
"wrong_installment_number": "Wrong Installment Number",
"wrong_value": "Wrong Value",
"charged_more_than_once": "Charged More Than Once",
"unrecognized_transaction_report_fraudulent": "Unrecognized Transaction - Report Fraudulent"
}
}{
"message": "<string>"
}{
"error": "Internal server error"
}Transactions
List Dispute Reasons
Returns a list of available dispute reasons keys with their human-readable text. The keys need to be used in the dispute reason field when creating a dispute.
GET
/
api
/
v1
/
transactions
/
dispute
List Dispute Reasons
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/transactions/dispute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/transactions/dispute \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/transactions/dispute"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/transactions/dispute"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/transactions/dispute")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/transactions/dispute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"result": {
"purchase_cancelled_but_no_refund_received": "Purchase Cancelled But No Refund Received",
"problem_with_the_product_chargeback_": "Problem With The Product (chargeback)",
"problem_with_service_subscription_chargeback": "Problem With Service/Subscription (chargeback)",
"wrong_installment_number": "Wrong Installment Number",
"wrong_value": "Wrong Value",
"charged_more_than_once": "Charged More Than Once",
"unrecognized_transaction_report_fraudulent": "Unrecognized Transaction - Report Fraudulent"
}
}{
"message": "<string>"
}{
"error": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successfully retrieved dispute reasons
Show child attributes
Show child attributes
Example:
{
"purchase_cancelled_but_no_refund_received": "Purchase Cancelled But No Refund Received",
"problem_with_the_product_chargeback_": "Problem With The Product (chargeback)",
"problem_with_service_subscription_chargeback": "Problem With Service/Subscription (chargeback)",
"wrong_installment_number": "Wrong Installment Number",
"wrong_value": "Wrong Value",
"charged_more_than_once": "Charged More Than Once",
"unrecognized_transaction_report_fraudulent": "Unrecognized Transaction - Report Fraudulent"
}
⌘I